# Exception: Cri::Command::CriExitException Private

Inherits:
  StandardError
  - Object
  - StandardError
  - Cri::Command::CriExitException
  show all

Defined in:
  lib/cri/command.rb

## Overview

This class is part of a private API. You should avoid using this class if possible, as it may be removed or be changed in the future.

Signals that Cri should abort execution. Unless otherwise specified using the `hard_exit` param, this exception will cause Cri to exit the running process.

## Instance Method Summary collapse

- #error? ⇒ Boolean private
- #initialize(is_error:) ⇒ CriExitException constructor private

  A new instance of CriExitException.

## Constructor Details

### #initialize(is_error:) ⇒ `CriExitException`

This method is part of a private API. You should avoid using this method if possible, as it may be removed or be changed in the future.

Returns a new instance of CriExitException.

    48
    49
    50
    51
    52

    # File 'lib/cri/command.rb', line 48

    def initialize(is_error:)
      super('exit requested')

      @is_error = is_error
    end

## Instance Method Details

### #error? ⇒ `Boolean`

This method is part of a private API. You should avoid using this method if possible, as it may be removed or be changed in the future.

Returns:

- (`Boolean`)

    54
    55
    56

    # File 'lib/cri/command.rb', line 54

    def error?
      @is_error
    end